%define upstream_name Dist-Zilla-Plugin-Git-Contributors
%define upstream_version 0.036

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Add contributor names from git to your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Git::Wrapper) >= 0.38.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(List::UtilsBy) >= 0.40.0
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny) >= 0.48.0
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(Unicode::Collate) >= 0.530.0
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(open)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Add contributor names from git to your distribution.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Dec 27 2020 tv <tv> 0.36.0-1.mga8
+ Revision: 1664075
- update to 0.036

* Wed Feb 12 2020 umeabot <umeabot> 0.35.0-3.mga8
+ Revision: 1504012
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.35.0-2.mga7
+ Revision: 1283012
- Mageia 7 Mass Rebuild

* Sun Sep 09 2018 tv <tv> 0.35.0-1.mga7
+ Revision: 1258034
- update to 0.035

* Tue Apr 24 2018 tv <tv> 0.34.0-1.mga7
+ Revision: 1222122
- update to 0.034

* Wed Dec 06 2017 tv <tv> 0.32.0-1.mga7
+ Revision: 1181563
- update to 0.032

* Thu Nov 30 2017 tv <tv> 0.31.0-1.mga7
+ Revision: 1180480
- update to 0.031

* Fri Jul 21 2017 sander85 <sander85> 0.30.0-1.mga7
+ Revision: 1126044
- update to 0.030

* Sun May 08 2016 shlomif <shlomif> 0.23.0-1.mga6
+ Revision: 1010581
- update to 0.023

* Thu Apr 28 2016 shlomif <shlomif> 0.22.0-1.mga6
+ Revision: 1007556
- update to 0.022

* Wed Feb 24 2016 shlomif <shlomif> 0.20.0-1.mga6
+ Revision: 978724
- update to 0.020

* Wed Feb 10 2016 shlomif <shlomif> 0.18.0-1.mga6
+ Revision: 953359
- update to 0.018

* Sat Jan 16 2016 shlomif <shlomif> 0.17.0-1.mga6
+ Revision: 923760
- update to 0.017

* Wed Jul 29 2015 sander85 <sander85> 0.14.0-1.mga6
+ Revision: 858885
- update to 0.014

* Thu Jul 23 2015 sander85 <sander85> 0.13.0-1.mga6
+ Revision: 856450
- update to 0.013

* Tue Jul 07 2015 sander85 <sander85> 0.12.0-1.mga6
+ Revision: 852450
- update to 0.012

* Sat Jun 27 2015 sander85 <sander85> 0.11.0-1.mga6
+ Revision: 845852
- update to 0.011

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-3.mga5
+ Revision: 748648
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 0.7.0-1.mga5
+ Revision: 664327
- update to 0.007

* Fri Aug 15 2014 sander85 <sander85> 0.6.0-1.mga5
+ Revision: 662751
- update to 0.006

* Wed Aug 13 2014 sander85 <sander85> 0.5.0-1.mga5
+ Revision: 662233
- update to 0.005

* Tue Aug 12 2014 sander85 <sander85> 0.4.0-1.mga5
+ Revision: 662062
- imported package perl-Dist-Zilla-Plugin-Git-Contributors

